# Generated from color-1.4.1.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name color
%global rubyabi 1.9.1

Summary: Colour management with Ruby
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.4.1
Release: 4%{?dist}
Group: Development/Languages
License: MIT
URL: http://color.rubyforge.org/
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems)
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}rubygem(minitest)
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
The capabilities of the Color library are limited to pure mathematical
manipulation of the colours based on colour theory without reference to colour
profiles (such as sRGB or Adobe RGB). For most purposes, when working with the
RGB and HSL colours, this won't matter. However, some colour models (like CIE
L*a*b*) are not supported because Color does not yet support colour profiles,
giving no meaningful way to convert colours in absolute colour spaces (like
L*a*b*, XYZ) to non-absolute colour spaces (like RGB).


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# remove shebangs from non-executable files, so that rpmlint doesn't complain
sed -i '/#![ ]*\/usr\/bin\/env/d' %{buildroot}/%{gem_instdir}/{test/*,Rakefile}

%check
pushd .%{gem_instdir}
%{?scl:scl enable %{scl} "}
testrb -Ilib test/*
%{?scl:"}
popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/Licence.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/Install.txt
%doc %{gem_instdir}/Manifest.txt
%doc %{gem_instdir}/README.txt
%{gem_instdir}/Rakefile
%{gem_instdir}/setup.rb
%{gem_instdir}/test

%changelog
* Mon Mar  4 2013 John Eckersberg <jeckersb@redhat.com> - 1.4.1-4
- Set rubyabi to 1.9.1 and remove old rubygems macros

* Mon Feb 25 2013 John Eckersberg <jeckersb@redhat.com> - 1.4.1-3
- SCL-ize specfile

* Tue Nov 20 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4.1-2
- Alter the specfile to build on el6, too.

* Tue Nov 13 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4.1-1
- Initial package
